org.jacoco.ant

## Class ReportTask.HTMLFormatterElement

- java.lang.Object
- - org.jacoco.ant.ReportTask.HTMLFormatterElement

Enclosing class:
  ReportTask

    public class ReportTask.HTMLFormatterElement
    extends Object

Formatter element for HTML reports.

### Constructor Summary

Constructors
Constructor and Description
`HTMLFormatterElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IReportVisitor` `createVisitor()`
`void` `setDestdir(File destdir)` Sets the output directory for the report.
`void` `setDestfile(File destfile)` Sets the Zip output file for the report.
`void` `setEncoding(String encoding)` Sets the output encoding for generated HTML files.
`void` `setFooter(String text)` Sets an optional footer text that will be displayed on every report page.
`void` `setLocale(String locale)` Sets the locale for generated text output.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HTMLFormatterElement

    public HTMLFormatterElement()

### Method Detail

#### setDestdir

    public void setDestdir(File destdir)

Sets the output directory for the report.

Parameters:
  `destdir` - output directory

#### setDestfile

    public void setDestfile(File destfile)

Sets the Zip output file for the report.

Parameters:
  `destfile` - Zip output file

#### setFooter

    public void setFooter(String text)

Sets an optional footer text that will be displayed on every report page.

Parameters:
  `text` - footer text

#### setEncoding

    public void setEncoding(String encoding)

Sets the output encoding for generated HTML files. Default is UTF-8.

Parameters:
  `encoding` - output encoding

#### setLocale

    public void setLocale(String locale)

Sets the locale for generated text output. By default the platform locale is used.

Parameters:
  `locale` - text locale

#### createVisitor

    public IReportVisitor createVisitor()
                                 throws IOException

Throws:
  `IOException`